Quote
This API is used to obtain the calculate indexes of securities.
message SecurityCalcQuoteRequest {
repeated string symbols = 1;
repeated CalcIndex calc_index = 2;
}
message SecurityCalcQuoteResponse {
repeated SecurityCalcIndex security_calc_index = 1;
}
Quote Permission RequiredFree
Included with OpenAPI activation — no extra purchase needed.
Request parameters
| Name | Type | Required | Description |
|---|---|---|---|
symbols | string[] | Required | Security code list, in ticker.region format, for example: [700.HK]. Max 500 symbols per request |
calc_index | int32[] | Required | Calc indexes, for example: [1,2,3], see CalcIndex |
Response fields
| Name | Type | Required | Description |
|---|---|---|---|
security_calc_index | object[] | Optional | Security Index Data |
└ symbol | string | Optional | Security code |
└ last_done | string | Optional | Latest price |
└ change_val | string | Optional | Change value |
└ change_rate | string | Optional | Change ratio (ratio field, excludes %) |
└ volume | int64 | Optional | Volume |
└ turnover | string | Optional | Turnover |
└ ytd_change_rate | string | Optional | Year-to-date change ratio (ratio field, excludes %) |
└ turnover_rate | string | Optional | Turnover rate (ratio field, excludes %) |
└ total_market_value | string | Optional | Total market value |
└ capital_flow | string | Optional | Capital flow |
└ amplitude | string | Optional | Amplitude (ratio field, excludes %) |
└ volume_ratio | string | Optional | Volume ratio |
└ pe_ttm_ratio | string | Optional | PE (TTM) |
└ pb_ratio | string | Optional | PB |
└ dividend_ratio_ttm | string | Optional | Dividend ratio (TTM) |
└ five_day_change_rate | string | Optional | Five days change ratio (ratio field, excludes %) |
└ ten_day_change_rate | string | Optional | Ten days change ratio (ratio field, excludes %) |
└ half_year_change_rate | string | Optional | Half year change ratio (ratio field, excludes %) |
└ five_minutes_change_rate | string | Optional | Five minutes change ratio (ratio field, excludes %) |
└ expiry_date | string | Optional | Expiry date |
└ strike_price | string | Optional | Strike price |
└ upper_strike_price | string | Optional | Upper bound price |
└ lower_strike_price | string | Optional | Lower bound price |
└ outstanding_qty | int64 | Optional | Outstanding quantity |
└ outstanding_ratio | string | Optional | Outstanding ratio (ratio field, excludes %) |
└ premium | string | Optional | Premium (ratio field, excludes %) |
└ itm_otm | string | Optional | In/out of the bound (ratio field, excludes %) |
└ implied_volatility | string | Optional | Implied volatility (ratio field, excludes %) |
└ warrant_delta | string | Optional | Warrant delta |
└ call_price | string | Optional | Call price |
└ to_call_price | string | Optional | Price interval from the call price (ratio field, excludes %) |
└ effective_leverage | string | Optional | Effective leverage |
└ leverage_ratio | string | Optional | Leverage ratio |
└ conversion_ratio | string | Optional | Conversion ratio |
└ balance_point | string | Optional | Breakeven point |
└ open_interest | int64 | Optional | Open interest |
└ delta | string | Optional | Delta |
└ gamma | string | Optional | Gamma |
└ theta | string | Optional | Theta. Raw value divided by 100 for standard per-share per-day value |
└ vega | string | Optional | Vega. Raw value divided by 100 for standard per-share per-1%-IV value |
└ rho | string | Optional | Rho. Raw value divided by 100 for standard per-share per-1%-rate value |
Response JSON example
{
"security_calc_index": [
{
"symbol": "AAPL.US",
"last_done": "131.880",
"change_val": "-5.2500",
"change_rate": "-3.83",
"volume": "122207099",
"turnover": "16269088361.000"
}
]
}